%% This is file `vuletter.cls',
%% A modified version of `letter.cls' 
%% Modified by Gert Huisman for the Vrije Universiteit Amsterdam
%% 18 june 1998
%% ---------------------------------------------------------------
%%
%% This is file `letter.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% letter.dtx  (with options: `letter')
%% 
%% This is a generated file.
%% 
%% Copyright 1993 1994 1995 1996 1997
%% The LaTeX3 Project and any individual authors listed elsewhere
%% in this file.
%% 
%% For further copyright information, and conditions for modification
%% and distribution, see the file legal.txt, and any other copyright
%% notices in this file.
%% 
%% This file is part of the LaTeX2e system.
%% ----------------------------------------
%%   This system is distributed in the hope that it will be useful,
%%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
%% 
%%   For error reports concerning UNCHANGED versions of this file no
%%   more than one year old, see bugs.txt.
%% 
%%   Please do not request updates from us directly.  Primary
%%   distribution is through the CTAN archives.
%% 
%% 
%% IMPORTANT COPYRIGHT NOTICE:
%% 
%% You are NOT ALLOWED to distribute this file alone.
%% 
%% You are allowed to distribute this file under the condition that it
%% is distributed together with all the files listed in manifest.txt.
%% 
%% If you receive only some of these files from someone, complain!
%% 
%% 
%% Permission is granted to copy this file to another file with a
%% clearly different name and to customize the declarations in that
%% copy to serve the needs of your installation, provided that you
%% comply with the conditions in the file legal.txt.
%% 
%% However, NO PERMISSION is granted to generate or to distribute a
%% modified version of this file under its original name.
%% 
%% You are NOT ALLOWED to change this file.
%% 
%% 
%% MODIFICATION ADVICE:
%% 
%% If you want to customize this file, it is best to make a copy of
%% the source file(s) from which it was produced.  Use a different
%% name for your copy(ies) and modify the copy(ies); this will ensure
%% that your modifications do not get overwritten when you install a
%% new release of the standard system.  You should also ensure that
%% your modified source file does not generate any modified file with
%% the same name as a standard file.
%% 
%% You can then easily distribute your modifications by distributing
%% the modified and renamed copy of the source file, taking care to
%% observe the conditions in legal.txt; this will ensure that other
%% users can safely use your modifications.
%% 
%% You will also need to produce your own, suitably named, .ins file to
%% control the generation of files from your source file; this file
%% should contain your own preambles for the files it generates, not
%% those in the standard .ins files.
%% 
%% The names of the source files used are shown above.
%% 
%% 
%% 
%% \CharacterTable
%%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
%%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
%%   Digits        \0\1\2\3\4\5\6\7\8\9
%%   Exclamation   \!     Double quote  \"     Hash (number) \#
%%   Dollar        \$     Percent       \%     Ampersand     \&
%%   Acute accent  \'     Left paren    \(     Right paren   \)
%%   Asterisk      \*     Plus          \+     Comma         \,
%%   Minus         \-     Point         \.     Solidus       \/
%%   Colon         \:     Semicolon     \;     Less than     \<
%%   Equals        \=     Greater than  \>     Question mark \?
%%   Commercial at \@     Left bracket  \[     Backslash     \\
%%   Right bracket \]     Circumflex    \^     Underscore    \_
%%   Grave accent  \`     Left brace    \{     Vertical bar  \|
%%   Right brace   \}     Tilde         \~}
\NeedsTeXFormat{LaTeX2e}[1996/06/01]
\ProvidesClass{vuletter}
              [2000/07/03 v1.7 modified LaTeX document class]
%\RequirePackage[dutch,english]{babel}
% Modified for Vrije Universiteit Amsterdam by Gert Huisman

\newcommand\@ptsize{1}
% We use u fixed paper size (a4paper)
\DeclareOption{a4paper}%
   {\setlength\paperheight {11in}%
    \setlength\paperwidth  {8.5in}}
\DeclareOption{a5paper}{\@latexerr{No papersize selection for
                        vuletter, remove `a5paper' option}\@eha}
\DeclareOption{b5paper}{\@latexerr{No papersize selection for
                        vuletter, remove `b5paper' option}\@eha}
\DeclareOption{letterpaper}{\@latexerr{No papersize selection for
                        vuletter, remove `lettersize' option}\@eha}
\DeclareOption{legalpaper}{\@latexerr{No papersize selection for
                        vuletter, remove `legalpaper' option}\@eha}
\DeclareOption{executivepaper}{\@latexerr{No papersize selection for
                        vuletter, remove `executivepaper' option}\@eha}
\DeclareOption{landscape}{\@latexerr{No papersize selection for
                        vuletter, remove `landscape' option}\@eha}
\DeclareOption{10pt}{\renewcommand\@ptsize{0}}
\DeclareOption{11pt}{\renewcommand\@ptsize{1}}
\DeclareOption{12pt}{\renewcommand\@ptsize{2}}
\if@compatibility
  \DeclareOption{twoside}{\@latexerr{No `twoside' layout for letters}%
                                   \@eha}
\else
  \DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}
\fi
\DeclareOption{oneside}{\@twosidefalse \@mparswitchfalse}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}

%% textblock, this needs a variant for each supported language %%%%%%%%%
\def\koptekstval{\iflanguage{dutch}%
  {Faculteit der Exacte Wetenschappen}%
  {Faculty of Sciences}}
\def\postadresval{FEW\depshortval, De Boelelaan 1081/1083, 1081 HV Amsterdam}
\def\bezoekadresval{De Boelelaan 1081/1083}
\def\internetval{www.few.vu.nl}

\DeclareOption{FEW}{%
  \def\departmentval{\iflanguage{dutch}%
    {}%
    {}}
  \def\depshortval{}}
\DeclareOption{NAT}{%
  \def\departmentval{\iflanguage{dutch}%
    {Afdeling Natuurkunde en Sterrenkunde}%
    {Department of Physics and Astronomy}}
  \def\depshortval{/NAT}}
\DeclareOption{CHEM}{%
  \def\departmentval{\iflanguage{dutch}%
    {Afdeling Scheikunde en Farmaceutische Wetenschappen}%
    {Department of Chemistry and Pharmaceutical Sciences}}
  \def\depshortval{/CHEM}}
\DeclareOption{MAT}{%
  \def\departmentval{\iflanguage{dutch}%
    {Afdeling Wiskunde}%
    {Department of Mathematics}}
  \def\depshortval{/MAT}}
\DeclareOption{CS}{%
  \def\departmentval{\iflanguage{dutch}%
    {Afdeling Informatica}%
    {Department of Computer Science}}
  \def\depshortval{/CS}}
\DeclareOption{FB}{%
  \def\departmentval{\iflanguage{dutch}%
    {Faculteitsbureau}%
    {Faculteitsbureau}}
  \def\depshortval{/FSC}}
\DeclareOption{PO}{%
  \def\departmentval{\iflanguage{dutch}%
    {P\&O bureau}%
    {Personnel Department}}
  \def\depshortval{/FSC}}
\DeclareOption{OB}{%
  \def\departmentval{\iflanguage{dutch}%
    {Bureau Onderwijs en Externe Betrekkingen}%
    {Bureau Onderwijs en Externe Betrekkingen}}
  \def\depshortval{/FSC}}
\DeclareOption{FIN}{%
  \def\departmentval{\iflanguage{dutch}%
    {Financi\"{e}le Zaken}%
    {Finance \& Control}}
  \def\depshortval{/FSC}}
\DeclareOption{ELE}{%
  \def\departmentval{\iflanguage{dutch}%
    {Elektronicagroep}%
    {Electronics group}}
  \def\depshortval{/FSC}}
\DeclareOption{ITG}{%
  \def\departmentval{\iflanguage{dutch}%
    {IT-groep}%
    {IT group}}
  \def\depshortval{/FSC}}
\DeclareOption{FGI}{%
  \def\departmentval{\iflanguage{dutch}%
    {Fijnmechanische en Glastechnische Instrumentatiegroep}%
    {Fijnmechanische en Glastechnische Instrumentatiegroep}}
  \def\depshortval{/FSC}}
\DeclareOption{AV}{%
  \def\departmentval{\iflanguage{dutch}%
    {Afdeling Algemene Vorming}%
    {Afdeling Algemene Vorming}}
  \def\depshortval{/AV}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\ExecuteOptions{a4paper,10pt,oneside,onecolumn,final,FEW}
\ProcessOptions
\input{size1\@ptsize.clo}
\setlength\lineskip{2bp}
\setlength\normallineskip{2bp}
\renewcommand\baselinestretch{}
\setlength\parskip{12bp}
\setlength\parindent{0\p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setlength\headheight{12bp}
\setlength\headsep   {12bp}
\setlength\footskip{0\p@}
% \if@compatibility
  \setlength\textwidth{432\p@}
  \setlength\textheight{686.565\p@}
% \fi
% \if@compatibility
%  \setlength\oddsidemargin{18pt}
%  \setlength\evensidemargin{18pt}
  \setlength\oddsidemargin{10pt}
  \setlength\evensidemargin{10pt}
  \setlength\marginparwidth{55pt}
\setlength\marginparsep {11\p@}
\setlength\marginparpush{5\p@}
%\setlength\topmargin{-31.876pt}
\setlength\topmargin{-42pt}
\setlength\footnotesep{12\p@}
\setlength{\skip\footins}{10\p@ \@plus 2\p@ \@minus 4\p@}
\newcommand{\LSfont}%
   {\fontencoding{T1}\fontfamily{hls}\fontsize{10}{12}\selectfont}
\newcommand{\BLSfont}%
   {\fontencoding{T1}\fontfamily{hls}\fontsize{11}{12}\selectfont}
\if@twoside
  \def\ps@headings{%
      \let\@oddfoot\@empty\let\@evenfoot\@empty
      \def\@oddhead{\slshape\headtoname{} \ignorespaces\toname
                    \hfil \@date
                    \hfil \pagename{} \thepage}%
      \let\@evenhead\@oddhead}
\else
  \def\ps@headings{%
      \let\@oddfoot\@empty
      \def\@oddhead{\slshape\headtoname{} \ignorespaces\toname
                    \hfil \@date
                    \hfil \pagename{} \thepage}}
\fi
\def\ps@empty{%
      \let\@oddfoot\@empty\let\@oddhead\@empty
      \let\@evenfoot\@empty\let\@evenhead\@empty}
\def\ps@firstpage{%
     \let\@oddhead\@empty
     \def\@oddfoot{
        \raisebox{-38pt}[\z@]{%
          \makebox[  0bp][l]{
            %\LSfont\scriptsize\omschrijving
        }}%
        \raisebox{-54pt}[\z@]{%
          \makebox[324bp][l]{\rm\scriptsize%
                           \departmentval}%
          \makebox[108bp][l]{\rm\scriptsize% 
                           \iflanguage{dutch}{%
                             Bezoek adres}{Visiting address}: \bezoekadresval}}%
        \raisebox{-66pt}[\z@]{\hspace*{-432bp}% 
          \makebox[324bp][l]{\rm\scriptsize%
                           Internet: \internetval}%
          \makebox[108bp][l]{\rm\scriptsize% 
                           \iflanguage{dutch}{%
                             Kamer}{Room}: \fromlocation}}}}
\def\ps@plain{%
      \def\@oddhead{\rm\hfil\thepage}%
      \let\@oddfoot\@empty\let\@evenfoot\@empty\let\@evenhead\@oddhead}
\newcommand*{\name}[1]{\def\fromname{#1}}
\newcommand*{\signature}[1]{\def\fromsig{#1}}
\newcommand*{\address}[1]{\def\fromaddress{#1}}
\newcommand*{\location}[1]{\def\fromlocation{#1}}
\newcommand*{\telephone}[1]{\def\telephonenum{#1}} 
\newcommand*{\fax}[1]{\def\faxnum{#1}}
%\newcommand*{\subject}[1]{\def\subjectval{Subject: #1}}
\newcommand*{\betreft}[1]{\def\subjectval{\iflanguage{dutch}{Betreft}{Subject}: #1}}
\newcommand*{\bijlagen}[1]{\def\bijlagennum{#1}}
\newcommand*{\datum}[1]{\def\datumval{#1}}
\newcommand*{\email}[1]{\def\emailval{#1}}
\newcommand*{\uwdatum}[1]{\def\uwdatumval{#1}}
\newcommand*{\kenmerk}[1]{\def\kenmerkval{#1}}
\newcommand*{\uwkenmerk}[1]{\def\uwkenmerkval{#1}}
\newcommand*{\koptekst}[1]{\def\koptekstval{#1}}
\newcommand*{\department}[1]{\def\departmentval{#1}}
\newcommand*{\postadres}[1]{\def\postadresval{#1}}
\newcommand*{\bezoekadres}[1]{\def\bezoekadresval{#1}}
\newcommand*{\internet}[1]{\def\internetval{#1}}
\newcommand*{\ingang}[1]{\def\ingangval{#1}}
\newcommand*{\depshort}[1]{\def\depshortval{#1}}
%\newcommand*{\omschrijving}{The faculty contains divisions for: %
%  Physics and Astronomy, Chemistry, Mathematics and Computer Sciences}

\def\fromname{}
\name{}
\signature{}
\address{}
\location{}
\telephone{}
%\def\faxnum{}
\def\subjectval{}
\def\bijlagennum{}
\def\datumval{\today}
\def\emailval{}
\def\uwdatumval{}
\def\kenmerkval{}
\def\uwkenmerkval{}
%\def\departmentval{}
%\def\internetval{}
%\def\ingangval{}
%\def\depshortval{}
%\def\val{}
\newcommand*{\makelabels}{%
  \AtBeginDocument{%
     \let\@startlabels\startlabels
     \let\@mlabel\mlabel
     \if@filesw
       \immediate\write\@mainaux{\string\@startlabels}\fi}%
  \AtEndDocument{%
     \if@filesw\immediate\write\@mainaux{\string\clearpage}\fi}}
\@onlypreamble\makelabels
\newenvironment{letter}[1]
  {\newpage
    \if@twoside \ifodd\c@page
                \else\thispagestyle{empty}\null\newpage\fi
    \fi
    \c@page\@ne
    \interlinepenalty=200 % smaller than the TeXbook value
    \@processto{\leavevmode\ignorespaces #1}}
  {\stopletter\@@par\pagebreak\@@par
    \if@filesw
      \begingroup
        \let\\=\relax
        \let\protect\@unexpandable@protect
        \immediate\write\@auxout{%
          \string\@mlabel{\returnaddress}{\toname\\\toaddress}}%
      \endgroup
    \fi}
\long\def\@processto#1{%
  \@xproc #1\\@@@%
  \ifx\toaddress\@empty
  \else
    \@yproc #1@@@%
  \fi}
\long\def\@xproc #1\\#2@@@{\def\toname{#1}\def\toaddress{#2}}
\long\def\@yproc #1\\#2@@@{\def\toaddress{#2}}
\newcommand*{\stopbreaks}{%
  \interlinepenalty\@M
  \def\par{\@@par\nobreak}%
  \let\\\@nobreakcr
  \let\vspace\@nobreakvspace}
\DeclareRobustCommand\@nobreakvspace
   {\@ifstar\@nobreakvspacex\@nobreakvspacex}
\def\@nobreakvspacex#1{%
  \ifvmode
    \nobreak\vskip #1\relax
  \else
    \@bsphack\vadjust{\nobreak\vskip #1}\@esphack
  \fi}
\def\@nobreakcr{\@ifstar{\@normalcr*}{\@normalcr*}}
\newcommand*{\startbreaks}{%
  \let\\\@normalcr
  \interlinepenalty 200%
  \def\par{\@@par\penalty 200\relax}}
\newdimen\longindentation
\longindentation=.5\textwidth
\newdimen\indentedwidth
\indentedwidth=\textwidth
\advance\indentedwidth -\longindentation
\newcommand*{\opening}[1]{\ifx\@empty\fromaddress
   \thispagestyle{firstpage}%
 \vspace*{-46pt}\par%
 {
  \rm\koptekstval\hfill\break%
 \makebox{\em}}\hfill\break%
 {\rm\scriptsize%
 \makebox[108bp][l]{\iflanguage{dutch}{Datum}{Date}}%
 \makebox[108bp][l]{\iflanguage{dutch}{Ons Kenmerk}{Our reference}}%
 \makebox[108bp][l]{\iflanguage{dutch}{Bijlage(n)}{Enclosure(s)}}\hfill\break%
 }%
 \makebox[108bp][l]{\datumval}%
 \makebox[108bp][l]{\kenmerkval}%
 \makebox[108bp][l]{\bijlagennum}\hfill\break%
 {\rm\scriptsize%
 \makebox[108bp][l]{\iflanguage{dutch}{Uw brief van}{Your letter dated}}%
 \makebox[108bp][l]{\iflanguage{dutch}{Uw Kenmerk}{Your reference}}\hfill\break%
 }%
 \makebox[108bp][l]{\uwdatumval}%
 \makebox[108bp][l]{\uwkenmerkval}\hfill\break%
 {\rm\scriptsize%
 \makebox[108bp][l]{\iflanguage{dutch}{Telefoon}{Telephone}}%
 \makebox[108bp][l]{Fax}%
 \makebox[108bp][l]{E-mail}\hfill\break%
 }%
 \makebox[108bp][l]{\telephonenum}%
 \makebox[108bp][l]{\faxnum}%
 \makebox[108bp][l]{\emailval}\vspace*{12pt}\par%
 {\rm\scriptsize%
 \makebox[324bp][l]{\iflanguage{dutch}{Postadres}{Mailing address}: \postadresval}
 }\par%
   \vspace{14pt} 
   \vbox to 1in {\raggedright \toname \\ \toaddress\vss}
 \vspace*{41.86bp}\par
 \ifx\@empty\subjectval\vspace*{24bp}\par
 \else\subjectval\vspace{0bp}\par\fi\vspace{\parskip}
   #1\par\nobreak%
 \else  % home address
    \def\@texttop{\ifnum\c@page=1\vskip 0pt plus .00006fil\relax\fi}
    \thispagestyle{empty}%
    {\raggedleft\begin{tabular}{l}\ignorespaces
      \fromaddress \\*[2\parskip]%
      \@date \end{tabular}\par}%
  \vspace{2\parskip}%
  {\raggedright \toname \\ \toaddress \par}%
  \vspace{2\parskip}%
  #1\par\nobreak\raggedright% 
 \fi
 }

\newcommand{\closing}[1]{\par\nobreak\vspace{\parskip}%
  \stopbreaks
  \noindent
  \ifx\@empty\fromaddress\else
  \hspace*{\longindentation}\fi
  \parbox{\indentedwidth}{\raggedright
       \ignorespaces #1\\[6\medskipamount]%
       \ifx\@empty\fromsig
           \fromname
       \else \fromsig \fi\strut}%
   \par}
\medskipamount=\parskip
\newcommand*{\cc}[1]{%
  \par\noindent
  \parbox[t]{\textwidth}{%
    \@hangfrom{\normalfont\ccname: }%
    \ignorespaces #1\strut}\par}
\newcommand*{\encl}[1]{%
  \par\noindent
  \parbox[t]{\textwidth}{%
    \@hangfrom{\normalfont\enclname: }%
    \ignorespaces #1\strut}\par}
\newcommand*{\ps}{\par\startbreaks}
\newcommand*{\stopletter}{}
\newcommand*{\returnaddress}{}
\newcount\labelcount
\newcommand*{\startlabels}{\labelcount\z@
  \pagestyle{empty}%
  \let\@texttop\relax
  \topmargin -50\p@
  \headsep \z@
  \oddsidemargin -35\p@
  \evensidemargin -35\p@
  \textheight 10in
  \@colht\textheight  \@colroom\textheight \vsize\textheight
  \textwidth 550\p@
  \columnsep 26\p@
  \ifcase \@ptsize\relax
    \normalsize
  \or
    \small
  \or
    \footnotesize
  \fi
  \baselineskip \z@
  \lineskip \z@
  \boxmaxdepth \z@
  \parindent \z@
  \twocolumn\relax}
\let\@startlabels=\relax
\newcommand*{\mlabel}[2]{%
  \parbox[b][2in][c]{262\p@}{\strut\ignorespaces #2}%
  }
\let\@mlabel=\@gobbletwo
\setlength\leftmargini  {2.5em}
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\setlength\leftmarginv  {1em}
\setlength\leftmarginvi {1em}
\setlength\leftmargin    {\leftmargini}
\setlength  \labelsep  {5\p@}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\setlength\partopsep{0\p@}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\def\@listI{\setlength\leftmargin{\leftmargini}%
            \setlength\parsep {0\p@}%
            \setlength\topsep {6bp}%
            \setlength\itemsep{6bp}}
\let\@listi\@listI
\@listi
\def\@listii {\setlength  \leftmargin{\leftmarginii}%
              \setlength  \labelwidth{\leftmarginii}%
              \addtolength\labelwidth{-\labelsep}}
\def\@listiii{\setlength  \leftmargin{\leftmarginiii}%
              \setlength  \labelwidth{\leftmarginiii}%
              \addtolength\labelwidth{-\labelsep}%
              \setlength  \topsep    {.2em}%
              \setlength  \itemsep   {\topsep}}
\def\@listiv {\setlength  \leftmargin{\leftmarginiv}%
              \setlength  \labelwidth{\leftmarginiv}%
              \addtolength\labelwidth{-\labelsep}}
\def\@listv  {\setlength  \leftmargin{\leftmarginv}%
              \setlength  \labelwidth{\leftmarginv}%
              \addtolength\labelwidth{-\labelsep}}
\def\@listvi {\setlength  \leftmargin{\leftmarginvi}%
              \setlength  \labelwidth{\leftmarginvi}%
              \addtolength\labelwidth{-\labelsep}}
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\theenumi.}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{$\m@th\bullet$}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{$\m@th\ast$}
\newcommand\labelitemiv{$\m@th\cdot$}
\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand*{\descriptionlabel}[1]{\hspace\labelsep
                                \normalfont\bfseries #1}
\newenvironment{verse}
               {\let\\=\@centercr
                \list{}{\setlength\itemsep{\z@}%
                        \setlength\itemindent{-15\p@}%
                        \setlength\listparindent{\itemindent}%
                        \setlength\rightmargin{\leftmargin}%
                        \addtolength\leftmargin{15\p@}}%
                \item[]}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\setlength\listparindent{1.5em}%
                        \setlength\itemindent{\listparindent}%
                        \setlength\rightmargin{\leftmargin}}%
                \item[]}
               {\endlist}
\newenvironment{quote}
               {\list{}{\setlength\rightmargin{\leftmargin}}%
                \item[]}
               {\endlist}
\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
\renewcommand\theequation{\@arabic\c@equation}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\relax}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\relax}
\DeclareRobustCommand*{\cal}{\@fontswitch{\relax}{\mathcal}}
\DeclareRobustCommand*{\mit}{\@fontswitch{\relax}{\mathnormal}}
\renewcommand\footnoterule{%
  \kern-\p@
  \hrule \@width .4\columnwidth
  \kern .6\p@}
\long\def\@makefntext#1{%
    \noindent
    \hangindent 5\p@
    \hb@xt@5\p@{\hss\@makefnmark}#1}
\newcommand*{\ccname}{cc}
\newcommand*{\enclname}{encl}
\newcommand*{\pagename}{Page}
\newcommand*{\headtoname}{To}
\newcommand*{\today}{\number\year/\number\month/\number\day}
\setlength\columnsep{10\p@}
\setlength\columnseprule{0\p@}
\pagestyle{plain}
\pagenumbering{arabic}
\raggedbottom
% \def\@texttop{\ifnum\c@page=1\vskip \z@ plus.00006fil\relax\fi}
\onecolumn
\endinput
%%
%% End of file `vuletter.cls'.
